jdk1.7支持的最高jfinal版本

如题,请问我能最高更新到哪个版本呢

评论区

杜福忠

2020-04-01 10:16

我记得是3.4,3.5之后都是起步J8了,还是升级最新版吧,服务器也跟着升级一下呗
https://gitee.com/jfinal/jfinal/releases

Code_Cat

2020-04-01 10:19

@杜福忠 谢谢你的建议,但系统还是稳定第一,假如换了之后出了什么错误,很麻烦

zzutligang

2020-04-01 11:01

目前来看jdk8肯定比jdk7稳定。

Code_Cat

2020-04-01 13:57

@zzutligang 可是这个系统在jdk1.7下跑了很久了,我就不想升级到1.8了,而且tomcat还是7

chcode

2020-04-01 14:11

@Code_Cat 升级最新版 干掉tomcat 使用undertow

JFinal

2020-04-01 17:38

@Code_Cat 1.8 都好多年历史了,比 1.7 肯定是要稳定得多

升级 JDK 其实就是解压 JDK 1.8, 然后在环境变量的配置中改个目录而已,不能再简单方便了

而且 jdk 1.8 的性能比 1.7 要好很多

永字诀

2021-01-19 10:23

昨天也在搞这个版本的事,服务器上有历史项目,不敢轻易升级jdk版本,所以还是在找能够在jdk1.7上发布的JFinal版本。

最高是哪一个我没有逐个确认,目前知道的是3.4版本还可以在jdk1.7上运行。有兴趣你可以从3.4逐个向上测试下,看看哪个版本不支持1.7了。

当然,能用1.8的最好,比较JFinal的最新版有很多优化提升。